use <knurledFinishLib_v2.scad>
/*
*Optional parameters for KnurledFinishLib are:
* k_cyl_hg  Knurled cylinder height,
* k_cyl_od  Knurled cylinder outer diameter,
* knurl_wd  Knurl polyhedron width,
* knurl_hg  Knurl polyhedron height,
* knurl_dp  Knurl polyhedron depth,
* e_smooth  Cylinder ends smoothed height,
* s_smooth  Knurled surface smoothing amount
*/

/* Sizes I used for different tools
 * 3/8" tool
 * nutSize=15.5; // mm across flats
 * nutHeight=11;
 * knurledCylinderHeight,17
 * knurledCylinderOuterDiameter,30
 * toolShaft=11
 * 
 * 1/2" tool
 * nutSize=21; // mm across flats
 * nutHeight=14;
 * knurledCylinderHeight,17
 * knurledCylinderOuterDiameter,30
 * toolShaft=14
 *
 * 5/8" tool
 * nutSize=24.5; // mm across flats
 * nutHeight=15;
 * knurledCylinderHeight,18
 * knurledCylinderOuterDiameter,40
 * toolShaft=17
*/
// Set your selected sizes here
nutSize=21; // mm across flats
nutHeight=14;
knurledCylinderHeight=17;
knurledCylinderOuterDiameter=30;
toolShaft=14;

cornerRadius=1.5; // this is just my guess

difference(){
    knurl(k_cyl_hg = knurledCylinderHeight, k_cyl_od = knurledCylinderOuterDiameter, knurl_wd = 1.5, knurl_hg = 2, knurl_dp = 1);
    cylinder(h=100,d=toolShaft); // makes the hole for the tool steel

// opening for nut
translate([0,0,-1]) //start below the outer cover

hull()
    for (side = [0:60:300]){ //[start:step:end]
        rotate([0,0,side])translate([nutSize/2,0,0])cylinder(r=cornerRadius,h=nutHeight);
    }
}