/*
* The purpose of this test is to get the proper sizeing for the compression nut
* without wasting a lot of material and time.
* All measurements, other than the tool steel, are in millimeters.
*
* 3/8" tool
* nutSize=15.5; // mm across flats (my nut measured 16 but I had to use 15.5 for a good fit)
* 
* 1/2" tool
* nutSize=21; // mm across flats
*
* 5/8" tool
* nutSize=24; // mm across flats
*/

// Set your selected size here
nutSize=21; // mm across flats

$fn=64;
difference(){
    cylinder(h=3,d=nutSize+10);

// opening for nut
cornerRadius=1.5; // just my guess

translate([0,0,-1]) //start below the outer cover

hull()
    for (side = [0:60:300]){
        rotate([0,0,side])translate([nutSize/2,0,0])cylinder(r=cornerRadius,h=5);
    }
}